For the complete documentation index, see llms.txt. This page is also available as Markdown.

Compensation

Compensation

List compensations

get
/tenants/{tenantUid}/compensations

List compensations

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/compensations
GET /v2/tenants/{tenantUid}/compensations HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "name": "text",
      "code": "text",
      "compensationUid": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Add new Compensation

post
/tenants/{tenantUid}/compensations

Add new Compensation

Required permissions: COMPENSATION

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
namestringRequired
codestringRequired
compensationUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
201

Example response

application/json
namestringRequired
codestringRequired
compensationUidstringRequiredPattern: ^[A-Za-z0-9-_]+
post/tenants/{tenantUid}/compensations
POST /v2/tenants/{tenantUid}/compensations HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 54

{
  "name": "text",
  "code": "text",
  "compensationUid": "text"
}
201

Example response

{
  "name": "text",
  "code": "text",
  "compensationUid": "text"
}

Get compensation details

get
/tenants/{tenantUid}/compensations/{compensationUid}

Get compensation details

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
compensationUidstringRequired

Reference to a compensation.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
namestringRequired
codestringRequired
compensationUidstringRequiredPattern: ^[A-Za-z0-9-_]+
get/tenants/{tenantUid}/compensations/{compensationUid}
GET /v2/tenants/{tenantUid}/compensations/{compensationUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "name": "text",
  "code": "text",
  "compensationUid": "text"
}

Update compensation details

put
/tenants/{tenantUid}/compensations/{compensationUid}

Update compensation details

Required permissions: COMPENSATION

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
compensationUidstringRequired

Reference to a compensation.

Pattern: ^[A-Za-z0-9-_]+
Body
namestringOptional
codestringOptional
RequireReferringOrderLinesbooleanOptional

When an order is marked with a compensation with this field set to true, the order must have order lines referring to a settled sale

Responses
200

Example response

application/json
namestringRequired
codestringRequired
compensationUidstringRequiredPattern: ^[A-Za-z0-9-_]+
put/tenants/{tenantUid}/compensations/{compensationUid}
PUT /v2/tenants/{tenantUid}/compensations/{compensationUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 63

{
  "name": "text",
  "code": "text",
  "RequireReferringOrderLines": true
}
200

Example response

{
  "name": "text",
  "code": "text",
  "compensationUid": "text"
}

Delete a compensation

delete
/tenants/{tenantUid}/compensations/{compensationUid}

Delete a compensation

Required permissions: COMPENSATION

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
compensationUidstringRequired

Reference to a compensation.

Pattern: ^[A-Za-z0-9-_]+
Responses
204

No Content

No content

delete/tenants/{tenantUid}/compensations/{compensationUid}
DELETE /v2/tenants/{tenantUid}/compensations/{compensationUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

No Content

No content

List Compensation reasons

get
/tenants/{tenantUid}/compensations/{compensationUid}/reasons

List Compensation reasons

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
compensationUidstringRequired

Reference to a compensation.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/compensations/{compensationUid}/reasons
GET /v2/tenants/{tenantUid}/compensations/{compensationUid}/reasons HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "reason": "text",
      "code": "text",
      "productUid": "text",
      "limit": 1,
      "requireDocumentation": true,
      "compensationReasonUid": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Add a compensation reason

post
/tenants/{tenantUid}/compensations/{compensationUid}/reasons

Add a compensation reason

Required permissions: COMPENSATION

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
compensationUidstringRequired

Reference to a compensation.

Pattern: ^[A-Za-z0-9-_]+
Body

productUid refers to the product that is added to an order when this compensation reason is added to the order. limit is the amount of total compensations on an order. Returns a warning if limit is exceeded.

reasonstringRequired
codestringRequired
productUidstringRequiredPattern: ^[A-Za-z0-9-_]*
limitintegerRequired
requireDocumentationbooleanRequired
compensationReasonUidstringOptional
Responses
201

Example response

application/json

productUid refers to the product that is added to an order when this compensation reason is added to the order. limit is the amount of total compensations on an order. Returns a warning if limit is exceeded.

reasonstringRequired
codestringRequired
productUidstringRequiredPattern: ^[A-Za-z0-9-_]*
limitintegerRequired
requireDocumentationbooleanRequired
compensationReasonUidstringRequired
post/tenants/{tenantUid}/compensations/{compensationUid}/reasons
POST /v2/tenants/{tenantUid}/compensations/{compensationUid}/reasons HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 120

{
  "reason": "text",
  "code": "text",
  "productUid": "text",
  "limit": 1,
  "requireDocumentation": true,
  "compensationReasonUid": "text"
}
201

Example response

{
  "reason": "text",
  "code": "text",
  "productUid": "text",
  "limit": 1,
  "requireDocumentation": true,
  "compensationReasonUid": "text"
}

Get Compensation reason details

get
/tenants/{tenantUid}/compensations/{compensationUid}/reasons/{compensationReasonUid}

Get Compensation reason details

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
compensationUidstringRequired

Reference to a compensation.

Pattern: ^[A-Za-z0-9-_]+
compensationReasonUidstringRequired

Reference to a compensation reason.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json

productUid refers to the product that is added to an order when this compensation reason is added to the order. limit is the amount of total compensations on an order. Returns a warning if limit is exceeded.

reasonstringRequired
codestringRequired
productUidstringRequiredPattern: ^[A-Za-z0-9-_]*
limitintegerRequired
requireDocumentationbooleanRequired
compensationReasonUidstringRequired
get/tenants/{tenantUid}/compensations/{compensationUid}/reasons/{compensationReasonUid}
GET /v2/tenants/{tenantUid}/compensations/{compensationUid}/reasons/{compensationReasonUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "reason": "text",
  "code": "text",
  "productUid": "text",
  "limit": 1,
  "requireDocumentation": true,
  "compensationReasonUid": "text"
}

Update compensation reason details

put
/tenants/{tenantUid}/compensations/{compensationUid}/reasons/{compensationReasonUid}

Update compensation reason details

Required permissions: COMPENSATION

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
compensationUidstringRequired

Reference to a compensation.

Pattern: ^[A-Za-z0-9-_]+
compensationReasonUidstringRequired

Reference to a compensation reason.

Pattern: ^[A-Za-z0-9-_]+
Body

productUid refers to the product that is added to an order when this compensation reason is added to the order. limit is the amount of total compensations on an order. Returns a warning if limit is exceeded.

reasonstringOptional
codestringOptional
productUidstringOptionalPattern: ^[A-Za-z0-9-_]*
limitintegerOptional
requireDocumentationbooleanOptional
Responses
201

Example response

application/json

productUid refers to the product that is added to an order when this compensation reason is added to the order. limit is the amount of total compensations on an order. Returns a warning if limit is exceeded.

reasonstringRequired
codestringRequired
productUidstringRequiredPattern: ^[A-Za-z0-9-_]*
limitintegerRequired
requireDocumentationbooleanRequired
compensationReasonUidstringRequired
put/tenants/{tenantUid}/compensations/{compensationUid}/reasons/{compensationReasonUid}
PUT /v2/tenants/{tenantUid}/compensations/{compensationUid}/reasons/{compensationReasonUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 89

{
  "reason": "text",
  "code": "text",
  "productUid": "text",
  "limit": 1,
  "requireDocumentation": true
}
201

Example response

{
  "reason": "text",
  "code": "text",
  "productUid": "text",
  "limit": 1,
  "requireDocumentation": true,
  "compensationReasonUid": "text"
}
delete
/tenants/{tenantUid}/compensations/{compensationUid}/reasons/{compensationReasonUid}

Delete a Compensation reason

Required permissions: COMPENSATION

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
compensationUidstringRequired

Reference to a compensation.

Pattern: ^[A-Za-z0-9-_]+
compensationReasonUidstringRequired

Reference to a compensation reason.

Pattern: ^[A-Za-z0-9-_]+
Responses
204

No Content

No content

delete/tenants/{tenantUid}/compensations/{compensationUid}/reasons/{compensationReasonUid}
DELETE /v2/tenants/{tenantUid}/compensations/{compensationUid}/reasons/{compensationReasonUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

No Content

No content

Last updated